# Method: shippingsettings.getsupportedholidays

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#body.ShippingsettingsGetSupportedHolidaysResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#body.aspect)
- [HolidaysHoliday](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#HolidaysHoliday)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#HolidaysHoliday.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#try-it)

Retrieves supported holidays for an account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/supportedHolidays`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account for which to retrieve the supported holidays. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "holidays": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#HolidaysHoliday`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#shippingsettingsGetSupportedHolidaysResponse`". |
| `holidays[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays#HolidaysHoliday`)`` A list of holidays applicable for delivery guarantees. May be empty. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## HolidaysHoliday

| JSON representation |
|---|
| ``` { "id": string, "countryCode": string, "type": string, "date": string, "deliveryGuaranteeDate": string, "deliveryGuaranteeHour": string } ``` |

| Fields ||
|---|---|
| `id` | `string` Unique identifier for the holiday to be used when configuring holiday cutoffs. Always present. |
| `countryCode` | `string` The CLDR territory code of the country in which the holiday is available. For example, "US", "DE", "GB". A holiday cutoff can only be configured in a shipping settings service with matching delivery country. Always present. |
| `type` | `string` The holiday type. Always present. Acceptable values are: - "`Christmas`" - "`Easter`" - "`Father's Day`" - "`Halloween`" - "`Independence Day (USA)`" - "`Mother's Day`" - "`Thanksgiving`" - "`Valentine's Day`" <br /> |
| `date` | `string` Date of the holiday, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. For example, "2016-12-25" for Christmas 2016. Always present. |
| `deliveryGuaranteeDate` | `string` Date on which the order has to arrive at the customer's, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. For example, "2016-12-24" for 24th December 2016. Always present. |
| `deliveryGuaranteeHour` | `string` Hour of the day in the delivery location's timezone on the guaranteed delivery date by which the order has to arrive at the customer's. Possible values are: 0 (midnight), 1, ..., 12 (noon), 13, ..., 23. Always present. |